Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514302 - New Packages for OpenStack Kuryr and Kuryr-kubernetes
Summary: New Packages for OpenStack Kuryr and Kuryr-kubernetes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-kuryr-kubernetes
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Antoni Segura Puimedon
QA Contact: Jon Uriarte
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 02:41 UTC by Antoni Segura Puimedon
Modified: 2018-06-27 13:40 UTC (History)
13 users (show)

Fixed In Version: python-kuryr-lib-0.7.1-0.20171117165805.d8e39cd.el7ost openstack-kuryr-kubernetes-0.2.1-0.20171204102404.1aebde0.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:39:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:40:23 UTC
Red Hat Bugzilla 1533580 None CLOSED [FutureFeature]Import kuryr-tempest-plugin for RHOS-13 2019-03-05 09:25:25 UTC

Internal Links: 1533580

Description Antoni Segura Puimedon 2017-11-17 02:41:11 UTC
Description of problem:
OpenStack kuryr-kubernetes should be part of the OSP 13 release. It's been part of RDO for some time:

https://github.com/rdo-packages/kuryr-distgit
https://github.com/rdo-packages/kuryr-tempest-plugin-distgit
https://github.com/rdo-packages/kuryr-kubernetes-distgit

The upstream code is maintained in:

https://github.com/openstack/kuryr
https://github.com/openstack/kuryr-kubernetes
https://github.com/openstack/kuryr-tempest-plugin

The RDO builds can be seen at:

https://trunk.rdoproject.org/centos7-master-head/report.html

Comment 1 Antoni Segura Puimedon 2017-11-17 02:43:41 UTC
Packages-owner: asegurap@redhat.com

There are already Bugzilla components with the right owner and cc list for kuryr-distgit and for kuryr-kubernetes-distgit.

Comment 4 Jon Schlueter 2018-01-03 20:11:13 UTC
python-kuryr-tests-tempest-0.1.1-0.20171221092727.f8d436c.el7ost
python-kuryr-lib-0.7.1-0.20171117165805.d8e39cd.el7ost
openstack-kuryr-kubernetes-0.2.1-0.20171204102404.1aebde0.el7ost

Packages imported, what else is needed to move this to modified?

Comment 5 Antoni Segura Puimedon 2018-01-17 10:06:11 UTC
Without counting the tests, there's two main roles for Kuryr Kubernetes:

- controller, which installs the following kuryr packages;
    Dep-Install openstack-kuryr-kubernetes-common-0.2.0-1.el7.noarch     @centos-openstack-pike
    Install     openstack-kuryr-kubernetes-controller-0.2.0-1.el7.noarch @centos-openstack-pike
    Dep-Install python2-kuryr-kubernetes-0.2.0-1.el7.noarch              @centos-openstack-pike
    Dep-Install python2-kuryr-lib-0.6.0-1.el7.noarch                     @centos-openstack-pike

- cni, which installs the following kuryr packages:
    Install     openstack-kuryr-kubernetes-cni-0.2.0-1.el7.noarch        @centos-openstack-pike
    Dep-Install openstack-kuryr-kubernetes-common-0.2.0-1.el7.noarch     @centos-openstack-pike
    Dep-Install python2-kuryr-kubernetes-0.2.0-1.el7.noarch              @centos-openstack-pike
    Dep-Install python2-kuryr-lib-0.6.0-1.el7.noarch                     @centos-openstack-pike

Anything else needed for this bug?

Comment 6 Jon Schlueter 2018-01-18 10:16:00 UTC
That should be good then, Thanks

Jon

Comment 9 Jon Uriarte 2018-05-07 14:59:25 UTC
Verified in OSP 13 2018-05-04.1 puddle.

The next kuryr packages are part of the puddle [1]:
 - kuryr-binding-scripts-0.7.0-1.el7ost.noarch.rpm
 - openstack-kuryr-kubernetes-cni-0.4.3-1.el7ost.noarch.rpm
 - openstack-kuryr-kubernetes-common-0.4.3-1.el7ost.noarch.rpm
 - openstack-kuryr-kubernetes-controller-0.4.3-1.el7ost.noarch.rpm
 - python2-kuryr-kubernetes-0.4.3-1.el7ost.noarch.rpm
 - python2-kuryr-lib-0.7.0-1.el7ost.noarch.rpm
 - python2-kuryr-lib-tests-0.7.0-1.el7ost.noarch.rpm
 - python2-kuryr-tests-tempest-0.1.1-1.0.22a7992git.el7ost.noarch.rpm


[1] http://download-node-02.eng.bos.redhat.com/rcm-guest/puddles/OpenStack/13.0-RHEL-7/2018-05-04.1/RH7-RHOS-13.0/x86_64/os/Packages/

Comment 11 errata-xmlrpc 2018-06-27 13:39:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.